Bug 328231 - rpm -Uvh foomatic_3.0.2-47.2.fc7_i386.rpm crashes
rpm -Uvh foomatic_3.0.2-47.2.fc7_i386.rpm crashes
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 15:34 EDT by Eli Wapniarski
Modified: 2008-01-10 07:44 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 07:44:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Wapniarski 2007-10-11 15:34:53 EDT
Description of problem:

rpm -Uvh foomatic_3.0.2-47.2.fc7_i386.rpm crashes with the output included 
under additional info.

Version-Release number of selected component (if applicable):

foomatic_3.0.2-47.2.fc7_i386.rpm

How reproducible:

Always

Additional info:

Preparing...                ########################################### [100%]
   1:foomatic               ########################################### [100%]
*** glibc detected *** /usr/bin/python: free(): invalid pointer: 0xb7edf100 
***
======= Backtrace: =========
/lib/libc.so.6[0x1c7df1]
/lib/libc.so.6(cfree+0x90)[0x1cb430]
/usr/lib/python2.5/site-packages/pyalchemist.so[0x3437b5]
/usr/lib/libpython2.5.so.1.0[0x6aab75a]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x483)[0x6b0d7c3]
/usr/lib/libpython2.5.so.1.0[0x6aaceaa]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x6a8dee7]
/usr/lib/libpython2.5.so.1.0[0x6a953e8]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x6a8dee7]
/usr/lib/libpython2.5.so.1.0(PyEval_CallObjectWithKeywords+0x7c)[0x6b05cec]
/usr/lib/libpython2.5.so.1.0(PyInstance_New+0x6d)[0x6a990ed]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x6a8dee7]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x3611)[0x6b09f21]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x7ef)[0x6b0db2f]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5419)[0x6b0bd29]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x7ef)[0x6b0db2f]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x5419)[0x6b0bd29]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x7ef)[0x6b0db2f]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCode+0x63)[0x6b0dbb3]
/usr/lib/libpython2.5.so.1.0[0x6b275d6]
/usr/lib/libpython2.5.so.1.0(PyRun_FileExFlags+0x8e)[0x6b2768e]
/usr/lib/libpython2.5.so.1.0(PyRun_SimpleFileExFlags+0x198)[0x6b28d48]
/usr/lib/libpython2.5.so.1.0(PyRun_AnyFileExFlags+0x7a)[0x6b294aa]
/usr/lib/libpython2.5.so.1.0(Py_Main+0xa0d)[0x6b32f3d]
/usr/bin/python(main+0x32)[0x8048582]
/lib/libc.so.6(__libc_start_main+0xe0)[0x175f70]
/usr/bin/python[0x80484c1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00114000 r-xp 00000000 08:01 
927366     /usr/lib/python2.5/lib-dynload/_localemodule.so
00114000-00115000 rwxp 00003000 08:01 
927366     /usr/lib/python2.5/lib-dynload/_localemodule.so
00115000-0011b000 r-xp 00000000 08:01 
927399     /usr/lib/python2.5/lib-dynload/operator.so
0011b000-0011c000 rwxp 00006000 08:01 
927399     /usr/lib/python2.5/lib-dynload/operator.so
0011c000-00122000 r-xp 00000000 08:01 
927375     /usr/lib/python2.5/lib-dynload/_struct.so
00122000-00123000 rwxp 00006000 08:01 
927375     /usr/lib/python2.5/lib-dynload/_struct.so
00123000-00127000 r-xp 00000000 08:01 
927408     /usr/lib/python2.5/lib-dynload/stropmodule.so
00127000-00129000 rwxp 00003000 08:01 
927408     /usr/lib/python2.5/lib-dynload/stropmodule.so
00129000-0012c000 r-xp 00000000 08:01 
927411     /usr/lib/python2.5/lib-dynload/timemodule.so
0012c000-0012e000 rwxp 00002000 08:01 
927411     /usr/lib/python2.5/lib-dynload/timemodule.so
0012e000-0012f000 r-xp 00000000 08:01 
1057507    /usr/lib/python2.5/site-packages/rhpl/iconv.so
0012f000-00130000 rwxp 00001000 08:01 
1057507    /usr/lib/python2.5/site-packages/rhpl/iconv.so
00130000-00134000 r-xp 00000000 08:01 
927415     /usr/lib/python2.5/lib-dynload/zlibmodule.so
00134000-00135000 rwxp 00004000 08:01 
927415     /usr/lib/python2.5/lib-dynload/zlibmodule.so
00135000-00136000 r-xp 00000000 08:01 
1057478    /usr/lib/python2.5/site-packages/rhpl/_translate.so
00136000-00137000 rwxp 00000000 08:01 
1057478    /usr/lib/python2.5/site-packages/rhpl/_translate.so
00137000-0013a000 r-xp 00000000 08:01 
927383     /usr/lib/python2.5/lib-dynload/cStringIO.so
0013a000-0013b000 rwxp 00003000 08:01 
927383     /usr/lib/python2.5/lib-dynload/cStringIO.so
0013d000-00158000 r-xp 00000000 08:01 16252939   /lib/ld-2.6.so
00158000-00159000 r-xp 0001a000 08:01 16252939   /lib/ld-2.6.so
00159000-0015a000 rwxp 0001b000 08:01 16252939   /lib/ld-2.6.so
00160000-002ae000 r-xp 00000000 08:01 16252960   /lib/libc-2.6.so
002ae000-002b0000 r-xp 0014e000 08:01 16252960   /lib/libc-2.6.so
002b0000-002b1000 rwxp 00150000 08:01 16252960   /lib/libc-2.6.so
002b1000-002b4000 rwxp 002b1000 00:00 0
002b6000-002dd000 r-xp 00000000 08:01 16252984   /lib/libm-2.6.so
002dd000-002de000 r-xp 00026000 08:01 16252984   /lib/libm-2.6.so
002de000-002df000 rwxp 00027000 08:01 16252984   /lib/libm-2.6.so
002e1000-002e4000 r-xp 00000000 08:01 16252986   /lib/libdl-2.6.so
002e4000-002e5000 r-xp 00002000 08:01 16252986   /lib/libdl-2.6.so
002e5000-002e6000 rwxp 00003000 08:01 16252986   /lib/libdl-2.6.so
002e8000-002fa000 r-xp 00000000 08:01 16252972   /lib/libz.so.1.2.3
002fa000-002fb000 rwxp 00011000 08:01 16252972   /lib/libz.so.1.2.3
002fd000-00311000 r-xp 00000000 08:01 16252998   /lib/libpthread-2.6.so
00311000-00312000 r-xp 00013000 08:01 16252998   /lib/libpthread-2.6.so
00312000-00313000 rwxp 00014000 08:01 16252998   /lib/libpthread-2.6.so
00313000-00315000 rwxp 00313000 00:00 0
00315000-0033c000 r-xp 00000000 08:01 
927402     /usr/lib/python2.5/lib-dynload/pyexpat.so
0033c000-0033f000 rwxp 00026000 08:01 
927402     /usr/lib/python2.5/lib-dynload/pyexpat.so
0033f000-0034a000 r-xp 00000000 08:01 
927849     /usr/lib/python2.5/site-packages/pyalchemist.so
0034a000-0034e000 rwxp 0000b000 08:01 
927849     /usr/lib/python2.5/site-packages/pyalchemist.so
0034e000-00363000 r-xp 00000000 08:01 
19462695   /usr/lib/libalchemist.so.0.0.0
00363000-00364000 rwxp 00015000 08:01 
19462695   /usr/lib/libalchemist.so.0.0.0
00364000-00365000 rwxp 00364000 00:00 0
00365000-00375000 r-xp 00000000 08:01 
927382     /usr/lib/python2.5/lib-dynload/cPickle.so
00375000-00376000 rwxp 00010000 08:01 
927382     /usr/lib/python2.5/lib-dynload/cPickle.so
006b1000-0074f000 r-xp 00000000 08:01 16253524   /lib/libglib-2.0.so.0.1200.13
0074f000-00750000 rwxp 0009d000 08:01 16253524   /lib/libglib-2.0.so.0.1200.13
007b7000-007b9000 r-xp 00000000 08:01 16253022   /lib/libutil-2.6.so
007b9000-007ba000 r-xp 00001000 08:01 16253022   /lib/libutil-2.6.so
007ba000-007bb000 rwxp 00002000 08:01 16253022   /lib/libutil-2.6.so
007bd000-007bf000 r-xp 00000000 08:01 
16254436   /lib/libgmodule-2.0.so.0.1200.13
007bf000-007c0000 rwxp 00002000 08:01 
16254436   /lib/libgmodule-2.0.so.0.1200.13
00aca000-00ad5000 r-xp 00000000 08:01 
16253004   /lib/libgcc_s-4.1.2-20070925.so.1
00ad5000-00ad6000 rwxp 0000a000 08:01 
16253004   /lib/libgcc_s-4.1.2-20070925.so.1
06a6b000-06b83000 r-xp 00000000 08:01 19434128   /usr/lib/libpython2.5.so.1.0
06b83000-06ba9000 rwxp 00117000 08:01 19434128   /usr/lib/libpython2.5.so.1.0
06ba9000-06baf000 rwxp 06ba9000 00:00 0
08048000-08049000 r-xp 00000000 08:01 19435148   /usr/bin/python
08049000-0804a000 rw-p 00000000 08:01 19435148   /usr/bin/python
09cc0000-09d92000 rw-p 09cc0000 00:00 0
b7b00000-b7b21000 rw-p b7b00000 00:00 0
b7b21000-b7c00000 ---p b7b21000 00:00 0
b7c96000-b7c9d000 r--s 00000000 08:01 
19446769   /usr/lib/gconv/gconv-modules.cache
b7c9d000-b7cde000 rw-p b7c9d000 00:00 0
b7cde000-b7ede000 r--p 00000000 08:01 
19435807   /usr/lib/locale/locale-archive
b7ede000-b7f63000 rw-p b7ede000 00:00 0
bff48000-bff61000 rw-p bff48000 00:00 0          [stack]
/var/tmp/rpm-tmp.18255: line 6:  3072 
Aborted                 /usr/share/printconf/util/updateconf.py > /dev/null 
2>&1
*** glibc detected *** /usr/bin/python: free(): invalid next size (fast): 
0xb7e93110 ***
======= Backtrace: =========
/lib/libc.so.6[0x1c7df1]
/lib/libc.so.6(cfree+0x90)[0x1cb430]
/usr/lib/python2.5/site-packages/pyalchemist.so[0x343808]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x1736)[0x6b08046]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x7ef)[0x6b0db2f]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCode+0x63)[0x6b0dbb3]
/usr/lib/libpython2.5.so.1.0(PyImport_ExecCodeModuleEx+0xad)[0x6b1e1cd]
/usr/lib/libpython2.5.so.1.0[0x6b1e7a4]
/usr/lib/libpython2.5.so.1.0[0x6b1f893]
/usr/lib/libpython2.5.so.1.0[0x6b1fd7c]
/usr/lib/libpython2.5.so.1.0[0x6b1ff9f]
/usr/lib/libpython2.5.so.1.0(PyImport_ImportModuleLevel+0x37)[0x6b20407]
/usr/lib/libpython2.5.so.1.0[0x6b05614]
/usr/lib/libpython2.5.so.1.0(PyCFunction_Call+0x11d)[0x6ac011d]
/usr/lib/libpython2.5.so.1.0(PyObject_Call+0x37)[0x6a8dee7]
/usr/lib/libpython2.5.so.1.0(PyEval_CallObjectWithKeywords+0x7c)[0x6b05cec]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x24d5)[0x6b08de5]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x7ef)[0x6b0db2f]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCode+0x63)[0x6b0dbb3]
/usr/lib/libpython2.5.so.1.0[0x6b275d6]
/usr/lib/libpython2.5.so.1.0(PyRun_FileExFlags+0x8e)[0x6b2768e]
/usr/lib/libpython2.5.so.1.0(PyRun_SimpleFileExFlags+0x198)[0x6b28d48]
/usr/lib/libpython2.5.so.1.0(PyRun_AnyFileExFlags+0x7a)[0x6b294aa]
/usr/lib/libpython2.5.so.1.0(Py_Main+0xa0d)[0x6b32f3d]
/usr/bin/python(main+0x32)[0x8048582]
/lib/libc.so.6(__libc_start_main+0xe0)[0x175f70]
/usr/bin/python[0x80484c1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00113000 r-xp 00000000 08:01 
927392     /usr/lib/python2.5/lib-dynload/grpmodule.so
00113000-00114000 rwxp 00001000 08:01 
927392     /usr/lib/python2.5/lib-dynload/grpmodule.so
00114000-00116000 r-xp 00000000 08:01 
1057491    /usr/lib/python2.5/site-packages/rhpl/ethtool.so
00116000-00117000 rwxp 00001000 08:01 
1057491    /usr/lib/python2.5/site-packages/rhpl/ethtool.so
00117000-0011b000 r-xp 00000000 08:01 
927408     /usr/lib/python2.5/lib-dynload/stropmodule.so
0011b000-0011d000 rwxp 00003000 08:01 
927408     /usr/lib/python2.5/lib-dynload/stropmodule.so
0011d000-00120000 r-xp 00000000 08:01 
927411     /usr/lib/python2.5/lib-dynload/timemodule.so
00120000-00122000 rwxp 00002000 08:01 
927411     /usr/lib/python2.5/lib-dynload/timemodule.so
00122000-00125000 r-xp 00000000 08:01 
927366     /usr/lib/python2.5/lib-dynload/_localemodule.so
00125000-00126000 rwxp 00003000 08:01 
927366     /usr/lib/python2.5/lib-dynload/_localemodule.so
00126000-0012c000 r-xp 00000000 08:01 
927399     /usr/lib/python2.5/lib-dynload/operator.so
0012c000-0012d000 rwxp 00006000 08:01 
927399     /usr/lib/python2.5/lib-dynload/operator.so
0012d000-00133000 r-xp 00000000 08:01 
927375     /usr/lib/python2.5/lib-dynload/_struct.so
00133000-00134000 rwxp 00006000 08:01 
927375     /usr/lib/python2.5/lib-dynload/_struct.so
00134000-00135000 r-xp 00000000 08:01 
1057507    /usr/lib/python2.5/site-packages/rhpl/iconv.so
00135000-00136000 rwxp 00001000 08:01 
1057507    /usr/lib/python2.5/site-packages/rhpl/iconv.so
00136000-0013a000 r-xp 00000000 08:01 
927415     /usr/lib/python2.5/lib-dynload/zlibmodule.so
0013a000-0013b000 rwxp 00004000 08:01 
927415     /usr/lib/python2.5/lib-dynload/zlibmodule.so
0013b000-0013c000 r-xp 00000000 08:01 
1057478    /usr/lib/python2.5/site-packages/rhpl/_translate.so
0013c000-0013d000 rwxp 00000000 08:01 
1057478    /usr/lib/python2.5/site-packages/rhpl/_translate.so
0013d000-00158000 r-xp 00000000 08:01 16252939   /lib/ld-2.6.so
00158000-00159000 r-xp 0001a000 08:01 16252939   /lib/ld-2.6.so
00159000-0015a000 rwxp 0001b000 08:01 16252939   /lib/ld-2.6.so
0015a000-0015d000 r-xp 00000000 08:01 
927383     /usr/lib/python2.5/lib-dynload/cStringIO.so
0015d000-0015e000 rwxp 00003000 08:01 
927383     /usr/lib/python2.5/lib-dynload/cStringIO.so
00160000-002ae000 r-xp 00000000 08:01 16252960   /lib/libc-2.6.so
002ae000-002b0000 r-xp 0014e000 08:01 16252960   /lib/libc-2.6.so
002b0000-002b1000 rwxp 00150000 08:01 16252960   /lib/libc-2.6.so
002b1000-002b4000 rwxp 002b1000 00:00 0
002b6000-002dd000 r-xp 00000000 08:01 16252984   /lib/libm-2.6.so
002dd000-002de000 r-xp 00026000 08:01 16252984   /lib/libm-2.6.so
002de000-002df000 rwxp 00027000 08:01 16252984   /lib/libm-2.6.so
002e1000-002e4000 r-xp 00000000 08:01 16252986   /lib/libdl-2.6.so
002e4000-002e5000 r-xp 00002000 08:01 16252986   /lib/libdl-2.6.so
002e5000-002e6000 rwxp 00003000 08:01 16252986   /lib/libdl-2.6.so
002e8000-002fa000 r-xp 00000000 08:01 16252972   /lib/libz.so.1.2.3
002fa000-002fb000 rwxp 00011000 08:01 16252972   /lib/libz.so.1.2.3
002fd000-00311000 r-xp 00000000 08:01 16252998   /lib/libpthread-2.6.so
00311000-00312000 r-xp 00013000 08:01 16252998   /lib/libpthread-2.6.so
00312000-00313000 rwxp 00014000 08:01 16252998   /lib/libpthread-2.6.so
00313000-00315000 rwxp 00313000 00:00 0
00315000-0033c000 r-xp 00000000 08:01 
927402     /usr/lib/python2.5/lib-dynload/pyexpat.so
0033c000-0033f000 rwxp 00026000 08:01 
927402     /usr/lib/python2.5/lib-dynload/pyexpat.so
0033f000-0034a000 r-xp 00000000 08:01 
927849     /usr/lib/python2.5/site-packages/pyalchemist.so
0034a000-0034e000 rwxp 0000b000 08:01 
927849     /usr/lib/python2.5/site-packages/pyalchemist.so
0034e000-00363000 r-xp 00000000 08:01 
19462695   /usr/lib/libalchemist.so.0.0.0
00363000-00364000 rwxp 00015000 08:01 
19462695   /usr/lib/libalchemist.so.0.0.0
00364000-00365000 rwxp 00364000 00:00 0
00365000-00375000 r-xp 00000000 08:01 
927382     /usr/lib/python2.5/lib-dynload/cPickle.so
00375000-00376000 rwxp 00010000 08:01 
927382     /usr/lib/python2.5/lib-dynload/cPickle.so
00376000-00380000 r-xp 00000000 08:01 16255154   /lib/libnss_files-2.6.so
00380000-00381000 r-xp 00009000 08:01 16255154   /lib/libnss_files-2.6.so
00381000-00382000 rwxp 0000a000 08:01 16255154   /lib/libnss_files-2.6.so
006b1000-0074f000 r-xp 00000000 08:01 16253524   /lib/libglib-2.0.so.0.1200.13
0074f000-00750000 rwxp 0009d000 08:01 16253524   /lib/libglib-2.0.so.0.1200.13
007b7000-007b9000 r-xp 00000000 08:01 16253022   /lib/libutil-2.6.so
007b9000-007ba000 r-xp 00001000 08:01 16253022   /lib/libutil-2.6.so
007ba000-007bb000 rwxp 00002000 08:01 16253022   /lib/libutil-2.6.so
007bd000-007bf000 r-xp 00000000 08:01 
16254436   /lib/libgmodule-2.0.so.0.1200.13
007bf000-007c0000 rwxp 00002000 08:01 
16254436   /lib/libgmodule-2.0.so.0.1200.13
00aca000-00ad5000 r-xp 00000000 08:01 
16253004   /lib/libgcc_s-4.1.2-20070925.so.1
00ad5000-00ad6000 rwxp 0000a000 08:01 
16253004   /lib/libgcc_s-4.1.2-20070925.so.1
06a6b000-06b83000 r-xp 00000000 08:01 19434128   /usr/lib/libpython2.5.so.1.0
06b83000-06ba9000 rwxp 00117000 08:01 19434128   /usr/lib/libpython2.5.so.1.0
06ba9000-06baf000 rwxp 06ba9000 00:00 0
08048000-08049000 r-xp 00000000 08:01 19435148   /usr/bin/python
08049000-0804a000 rw-p 00000000 08:01 19435148   /usr/bin/python
0820c000-082e4000 rw-p 0820c000 00:00 0
b7b00000-b7b21000 rw-p b7b00000 00:00 0
b7b21000-b7c00000 ---p b7b21000 00:00 0
b7c4a000-b7c51000 r--s 00000000 08:01 
19446769   /usr/lib/gconv/gconv-modules.cache
b7c51000-b7c92000 rw-p b7c51000 00:00 0
b7c92000-b7e92000 r--p 00000000 08:01 
19435807   /usr/lib/locale/locale-archive
b7e92000-b7f17000 rw-p b7e92000 00:00 0
bfc31000-bfc4d000 rw-p bfc31000 00:00 0          [stack]
/var/tmp/rpm-tmp.18255: line 9:  3073 
Aborted                 /usr/sbin/printconf-backend --force-rebuild 
> /dev/null 2>&1
Comment 1 Tim Waugh 2007-10-12 04:54:50 EDT
What is the history of this installation, in terms of which version it was
installed as and which version(s) it has been upgraded through.
Comment 2 Eli Wapniarski 2007-10-12 12:50:27 EDT
As mentioned the version that I attempted to install was 
foomatic_3.0.2-47.2.fc7_i386.rpm. I would assume the previous installed was 
the previous version available. I update regularly. One other thing to note 
the crash occurs if I run

rpm -e --nodeps foomatic
rpm -Uvh foomatic_3.0.2-47.2.fc7_i386.rpm

or if I rebuild the SRPM and then run

rpm -e foomatic
rpm -Uvh foomatic_3.0.2-47.2.fc7_i386.rpm

If I did not understand your question please elaborate. Looking forward to 
working with you.
Comment 3 Tim Waugh 2007-10-12 13:10:21 EDT
Well, it does not seem to be a fresh F-7 installation, but rather has been
upgraded from some previous version of Fedora.  So: which version of Fedora was
originally installed, and what upgrades (to which versions) have been performed
since that initially installation?

For example, perhaps Fedora Core 6 was originally installed and then upgraded to
Fedora 7.  Or perhaps Fedora Core 4 was originally installed, then upgraded to
Fedora Core 5, then upgraded to Fedora 7.

If I know more about the history of this installed system, I'll be able to know
what questions to ask about the installed packages causing the problem (the
crash is not from foomatic, but from another package).
Comment 4 Eli Wapniarski 2007-10-12 15:27:25 EDT
If I'm not mistaken, your guess was actually correct, this computer started 
off life as fc4 and has been upgraded successfully up to and including F7.

Comment 5 Eli Wapniarski 2007-10-13 01:53:28 EDT
This is one of those things that make you go hmmm...

I've done a little digging. Turns out that /usr/share/printconf is a holdover 
from rehdat-config-printer which of course no longer exists on this particular 
computer. Moving the folder stoped the crash.

However, as I stated before the package does not exist on this computer the 
menu item under setup in the console still contains the Printer configuration 
item. On relatively newer installation the item does not exist. (Hmmm) And why 
can't I config a printer from the console on newer versions? (Hmmm)

And how the heck can I remove the item from the setup menu?
Comment 6 Tim Waugh 2007-10-16 06:55:49 EDT
What does 'rpm -qa | grep config-printer' say?
Comment 7 Eli Wapniarski 2007-10-16 12:51:08 EDT
system-config-printer-libs-0.7.63.4-1.fc7
system-config-printer-0.7.63.4-1.fc7
Comment 8 Tim Waugh 2008-01-10 07:44:42 EST
This seems like a bad package upgrade on a *previous* occasion.

Note You need to log in before you can comment on or make changes to this bug.